#include <bits/stdc++.h>

using namespace std;



int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    int t, n,k;
    cin>> t >> n >>k;
    vector<int> v(n);
    for(int i=0; i<n; i++){
        int a; cin >> a;
        v[i]=a;
    }


    cout << "NE";
    return 0;
}